Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.jpd
Interface JpdContext.ExceptionInfo

Enclosing interface:
  JpdContext

public static interface JpdContext.ExceptionInfo

Method Summary
`Exception` | `getException()` This method is only valid in an exception handler.
`String` | `getExceptionNodeName()` This method is only valid in an exception handler.
`int` | `getRetriesRemaining()` This method is only valid within an exception handler, or in a block of code that contains an exception handler.
`int` | `getRetryCount()` This method is only valid within an exception handler, or in a block of code that contains an exception handler.

Method Detail

### getException

    public Exception getException()
                           throws IllegalStateException

  This method is only valid in an exception handler.

  Returns:
    The current process exception.
  Throws:
    `IllegalStateException` - if not currently in an exception handler.

### getExceptionNodeName

    public String getExceptionNodeName()
                                throws IllegalStateException

  This method is only valid in an exception handler.

  Returns:
    the name of the node that threw the exception, or returns `null` if the node is undefined.
  Throws:
    `IllegalStateException` - if not currently in an exception handler.

### getRetriesRemaining

    public int getRetriesRemaining()
                            throws IllegalStateException

  This method is only valid within an exception handler, or in a block of code that contains an exception handler.

  Returns:
    The number of retries remaining for the current exception block.
  Throws:
    `IllegalStateException` - if not currently in an exception block or handler.

### getRetryCount

    public int getRetryCount()
                      throws IllegalStateException

  This method is only valid within an exception handler, or in a block of code that contains an exception handler.

  Returns:
    The number of times the current exception block has been retried.
  Throws:
    `IllegalStateException` - if not currently in an exception block or handler.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD